Mise à jour 3.9 : Editeur Visuel, plugins et WPML

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 48)
  • Auteur
    Messages
  • #536675
    Lumiere de Lune
    Participant
    Maître WordPress
    19385 contributions

    La mise à jour de la 3.9 s’est faite avec la nouvelle version de TinyMCE

    Bien qu’on ait été prévenus longtemps à l’avance par l’équipe WordPress, il semble que le temps n’ait pas été suffisant pour certains éditeurs de plugins.

    Si vous êtes ici c’est sans doute déjà trop tard mais…

    – TinyMCE Advanced a été mis à jour dans la nuit, et semble encore avoir des problèmes et fonctionne maintenant parfaitement
    – WPML vient de sortir une version bêta (donc non disponible sur le tableau de bord, il faut aller la télécharger manuellement sur le site) qui est, selon leurs dire, « pas totalement stable »

    Il est urgent d’attendre quand vous utilisez WPML

    Pour les autres plugins liés à TinyMCE vérifiez la date de dernière mise à jour

    http://www.lumieredelune.com/encrelune/avenir-tinymce-dans-wordpress,2014,02

    http://www.lumieredelune.com/encrelune/boutons-wordpress-tinymcev4,2014,04

    Liste des plugins semblant poser problème :

    Wisija – MailPoet , casse l’éditeur visuel
    WPML : version beta, risques
    DB Cache : à désactiver puis réactiver

    #948396
    evenstood
    Participant
    Initié WordPress
    2 contributions

    Salut,

    Je vois pas comment désactiver le plugin TinyMCE ? Je viens de faire la MAJ et j’ai également perdu mon éditeur visuel, il ne reste que la partie texte, ce qui est mieux que rien…

    #948397
    Lumiere de Lune
    Participant
    Maître WordPress
    19385 contributions

    La désactivation des plugins « après coup » se fait en allant dans le ftp et en les sortant du dossier wp-content/plugin puis en passant à nouveau sur la page d’admin des plugins (et pareil pour les thèmes, en ne conservant que twenty fourteen, le dernier thème par défaut de wordpress)

    #948398
    BertrandB21
    Participant
    Maître WordPress
    590 contributions

    J’ai aussi un message d’erreur dans la personnalisation

    Warning: Invalid argument supplied for foreach() in …./wordpress/wp-admin/custom-header.php on line 1248
    Warning: array_merge(): Argument #2 is not an array in …/wordpress/wp-admin/custom-header.php on line 1268

    quelqu’un d’autre a le même cas ? lié à mon thème ?

    #948399
    cm64
    Participant
    Initié WordPress
    4 contributions

    Bonjour,

    – Thème utilisé : Mantra
    – Nom de l’hébergeur : OVH
    – Adresse du site : Blog: La retraite cool

    Mon problème après mise à jour 3.9 :
    Je fais des marches en groupe, et j’enregistre le circuit avec un GPS. J’obtiens un fichier .gpx . Avec ce fichier et en utilisant le plugin WP-GPX-Maps, j’inclus des cartes dynamiques google dans mes posts. Sous la carte, il y avait un diagramme du profil de la marche (appelé Altitude) qui n’apparaît plus depuis la mise à jour vers 3.9 . Avant cela marchait très bien, maintenant, il y a l’espace du diagramme, c’est tout.

    Je n’ai pas su revenir vers la version 3.8.3
    Je n’ai pas trouvé non plus d’onglet ou de repère pour voir les FAQ
    Je ne suis pas tout jeune, et je ne connais rien aux HTML, CSS, etc…

    Merci à ceux qui liront ce message, et merci aussi à ceux qui essaieront de m’aider.

    #948400
    Flobogo
    Modérateur
    Maître WordPress
    15280 contributions

    Bonjour,

    Je reviens d’une semaine de vacances, la sortie de la v 3.9 s’est donc faite en mon absence et je n’ai pas mis à jour mes 2 sites. (site bourguignon public et site familial privé. Je précise que j’utilise TinyMCE Advanced sur le site bourguignon.)

    Alors, je reviens sur le conseil de Lumière de Lune : Il est urgent d’attendre

    Concrètement, tu conseilles de ne pas mettre à jour en v 3.9 ?

    Si oui, est-ce qu’il ne faudrait pas afficher ce conseil sous forme de topic « agrafé » ? ( = bloqué en haut de forum, je ne sais plus comment on dit)

    #948401
    Lumiere de Lune
    Participant
    Maître WordPress
    19385 contributions

    Euh non… les extensions ont été mises à jour 🙂 et ce topic EST agrafé ^^

    #948402
    CLERGET
    Participant
    Initié WordPress
    1 contributions

    Bonjour.
    Merci pour ce topic car je fais partie de ce qui n’ont plus d’éditeur visuel.
    J’ai désactivé et supprimé Tiny mais rien ne change.
    Question peut être bête : Comment réactiver l’éditeur « classique » d’origine de wordpress 3.9 ? Il a l’air bien selon le descriptif de cette nouvelle version alors j’aimerai l’essayer.
    Je ne comprend pas que même en ayant supprimé tiny je n’ai plus rien ?!

    Merci d’avance

    #948403
    Noaneo
    Participant
    Maître WordPress
    29952 contributions

    bonjour,

    aucune souci de mon côté malgré l’utilisation du plugin TinyMCE Advanced et Wisija – MailPoet.
    Mais que voulez vous dire par « cassé l’éditeur » ?
    Merci

    #948404
    Lumiere de Lune
    Participant
    Maître WordPress
    19385 contributions

    L’éditeur classique de WordPress inclut TinyMce. Qu’avez vous désactivé ?

    #948405
    PhiLyon
    Modérateur
    Maître WordPress
    22028 contributions

    @cm64

    Bonjour.

    Je viens d’installer ton pluging (intéressant) en local sur WP 3.9. Tout fonctionne, j’ai le diagramme des altitudes.

    Ce n’est donc pas WP 3.9.

    Lumière de Lune va sûrement te trouver une solution.

    Cordialement

    #948406
    PhiLyon
    Modérateur
    Maître WordPress
    22028 contributions

    @Lumière de Lune

    Bonjour.

    Tu l’as sûrement dit quelque part mais je ne lis pas tout.

    Ne serait-il pas plus judicieux de désactiver les extensions AVANT de faire la mise à jour vers WP 3.9 et de les activer 1 par 1 après (pas 1&1:lol:). On aurait le coupable de suite et cela éviterait de planter tout.

    Mettre le site en  » travaux  » quelques minutes ne devrait pas être trop grave.

    Enfin ce n’est que mon avis. : idea:

    Cordialement

    #948407
    Lumiere de Lune
    Participant
    Maître WordPress
    19385 contributions

    C’est la procédure standard 🙂 🙂 🙂

    #948408
    PhiLyon
    Modérateur
    Maître WordPress
    22028 contributions

    @ Lumière de Lune

    D’accord mais si l’utilisateur lit ceci qui apparait sur la page des MAJ :

    Important : avant de faire une mise à jour, veillez à faire une sauvegarde de votre base de données et de vos fichiers. Pour obtenir de l’aide sur les mises à jour, lisez la page Mettre à jour WordPress.

    Petite question perso : quand tu achètes un nouvel appareil, est-ce que tu lis la notice avant de commencer à t’en servir. Moi rarement et je pense que je ne suis pas le seul. Je suis trop pressé de le voir fonctionner.

    Je suis vraiment un consommateur négligeant, je sais :fouet:

    #948409
    Flobogo
    Modérateur
    Maître WordPress
    15280 contributions

    @ Lumière de Lune :
    En effet, le topic est déjà épinglé (je l’avais trouvé en consultant les discussions parues en mon absence, pas fait gaffe qu’il était déjà épinglé, quand on est dessus, rien ne l’indique)

    Mais du coup, je ne comprends pas : si il est épinglé, c’est que c’est particulièrement important.
    Et tu dis :

    TinyMCE Advanced a été mis à jour dans la nuit, et semble encore avoir des problèmes

    Donc, selon ce que je comprenais, cela voulait dire qu’il fallait attendre avant de faire la MAJ en 3.9 si c’était possible (« Si vous êtes ici c’est sans doute déjà trop tard mais… « )

    Alors, on fait quoi quand on a encore la 3.8.3 et TinyMCE Advanced ?

    @ PhiLyon : tu vois, les femmes sont plus prudentes et attentives aux conseils 😆 (c’est un :hs: mais il comprendra ^^)

15 sujets de 1 à 15 (sur un total de 48)
  • Vous devez être connecté pour répondre à ce sujet.